unit frmMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, db, FileUtil, ZConnection, ZDataset, Forms, Controls,
  Graphics, Dialogs, DBGrids, DbCtrls, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    ZConnection1: TZConnection;
    ZQuery1: TZQuery;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormShow(Sender: TObject);
begin
  ZConnection1.Connected := True;
  ZQuery1.SQL.Text := 'select * from department';
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ZQuery1.Close;
  ZQuery1.SQL.Text := 'create table department (';
  ZQuery1.SQL.Add('dep_id               smallint             not null,');
  ZQuery1.SQL.Add('dep_name             varchar(20)          null,');
  ZQuery1.SQL.Add('dep_shname           char(5)              null,');
  ZQuery1.SQL.Add('dep_address          varchar(255)         null,');
  ZQuery1.SQL.Add('primary key  (dep_id));');
  ZQuery1.ExecSQL;
  ZQuery1.SQL.Text := 'select * from department';
  ZQuery1.Open;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ZQuery1.Open;
end;

end.

